# MemDTC

If you failed to install and run this tracker, please email me (tianyyang8-c@my.cityu.edu.hk).

## Prerequisites
CPU: Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz
GPU: NVIDIA GTX1080

* python3.5
* tensorflow == 1.12.0 (CUDA9.0 with cudnn)
* numpy 

## Pretrained model for MemDTC
The pretrained model can be downloaded from my shared google drive:[model](https://drive.google.com/open?id=1NlmET5_xwkQvDxzImembArBtUokpBzgN), 
which includes three files: `checkpoint`, `model.ckpt.data-00000-of-00001` and `model.ckpt.index`
Then, you should copy these pretrained model files to the subfolder `./code/model`, so that the tracker can find and load the pretrained_model.

## Detailed steps to install the prerequisites
* install tensorlfow, numpy following the instructions in the `install.sh`. Please do **not** use conda to install.
* follow the [instructions](https://trax.readthedocs.io/en/latest/tutorial_compiling.html) to build trax library 
* modify `/PATH/TO/CODE/FOLDER/`, `/PATH/TO/vot-toolkit/native/trax/support/python`, `/PATH/TO/vot-toolkit/native/trax/build/`,  in `tracker_MemDTC.m` 
* set global variables in `configuration.m`:
`set_global_variable('python', '/usr/bin/python3');`
`set_global_variable('trax_source', '/PATH/TO/vot-toolkit/native/trax');`

If the tracker is ready, you will see the tracking results. (EAO: 0.2283 on GTX1080)
